# List Activity Logs

List activity logs of an account.

## Request

```curl
curl https://api.stripe.com/v2/iam/activity_logs \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-09-30.preview" \
  -H "Stripe-Context: {{CONTEXT}}"
```

### Response

```json
{
  "data": [
    {
      "id": "accact_1SdeybAiQNL8swvtMHyVtfCU",
      "object": "v2.iam.activity_log",
      "created": "2026-04-01T00:00:00.000Z",
      "type": "api_key_created",
      "livemode": true,
      "context": "acct_1SdeybAiQNL8swvt",
      "actor": {
        "type": "user",
        "user": {
          "email": "user@example.com"
        }
      },
      "details": {
        "type": "api_key",
        "api_key": {
          "id": "mk_1SdeybAiQNL8swvtMHyVtfCU",
          "created": "2026-04-01T00:00:00.000Z",
          "type": "secret_key",
          "name": "My API Key",
          "note": "",
          "expires_at": null,
          "ip_allowlist": [],
          "new_key": null,
          "managed_by": null
        }
      }
    },
    {
      "id": "accact_1Sdet2AiQNL8swvt4Ui4NzaX",
      "object": "v2.iam.activity_log",
      "created": "2026-04-02T00:00:00.000Z",
      "type": "user_invite_created",
      "livemode": true,
      "context": "acct_1SdeybAiQNL8swvt",
      "actor": {
        "type": "user",
        "user": {
          "email": "admin@example.com"
        }
      },
      "details": {
        "type": "user_invite",
        "user_invite": {
          "invited_user_email": "newuser@example.com",
          "roles": [
            "developer"
          ]
        }
      }
    }
  ],
  "next_page_url": "/v2/iam/activity_logs?page=page_0NQAjX2r1Ck82gY4Pd601CN96ge7SJEEICEzTGRS5KR3xV0lf9ds4Xb2Wa1NK6J3IA7Gnu8of5JWHYFEJ1BB1qO8bk8hU88E3bs7u",
  "previous_page_url": null
}
```

## Parameters

- `action_groups` (array of enums, optional)
  Filter results to only include activity logs for the specified action group types.
Possible enum values:
  - `account_security`
    An account security related action group.

  - `api_key`
    An API key related action group.

  - `authentication`
    An authentication related action group.

  - `issuing`
    An Issuing related action group.

  - `payout`
    A payout related action group.

  - `scim`
    A SCIM related action group.

  - `sso`
    An SSO related action group.

  - `user_invite`
    A user invite related action group.

  - `user_profile`
    A user profile related action group.

  - `user_roles`
    User roles related action group.

- `actions` (array of enums, optional)
  Filter results to only include activity logs for the specified action types.
Possible enum values:
  - `anomaly_detection_settings_updated`
    Anomaly detection settings were updated.

  - `api_key_created`
    An API key was created.

  - `api_key_deleted`
    An API key was deleted.

  - `api_key_updated`
    An API key was updated.

  - `api_key_viewed`
    An API key’s secret was viewed.

  - `issuing_activated`
    Issuing was activated for the account.

  - `issuing_balance_transfer_created`
    An Issuing balance transfer was created to move funds between balances.

  - `issuing_card_created`
    An Issuing card was created.

  - `issuing_card_sensitive_details_viewed`
    An Issuing card’s sensitive details (card number, CVC, or PIN) were viewed.

  - `issuing_card_updated`
    An Issuing card was updated.

  - `issuing_cardholder_created`
    An Issuing cardholder was created.

  - `issuing_cardholder_updated`
    An Issuing cardholder was updated.

  - `issuing_dispute_created`
    An Issuing dispute was created.

  - `issuing_dispute_submitted`
    An Issuing dispute was submitted for review.

  - `issuing_dispute_updated`
    An Issuing dispute was updated.

  - `manual_payouts_disabled`
    The Connect platform disabled the connected account’s ability to create manual payouts.

  - `manual_payouts_enabled`
    The Connect platform enabled the connected account’s ability to create manual payouts.

  - `payout_destination_added`
    A payout destination was added.

  - `payout_destination_removed`
    A payout destination was removed.

  - `payout_destination_updated`
    A payout destination was updated.

  - `payout_schedule_edits_disabled`
    The Connect platform disabled the connected account’s ability to edit its payout schedule.

  - `payout_schedule_edits_enabled`
    The Connect platform enabled the connected account’s ability to edit its payout schedule.

  - `scim_group_deleted`
    A SCIM group was deleted.

  - `scim_group_member_added`
    A member was added to a SCIM group.

  - `scim_group_member_removed`
    A member was removed from a SCIM group.

  - `scim_group_roles_updated`
    Roles for a SCIM group were changed.

  - `scim_group_updated`
    A SCIM group’s details were updated.

  - `sso_domain_verified`
    A domain was verified for SSO.

  - `sso_settings_created`
    SSO (SAML) was configured for the account.

  - `sso_settings_deleted`
    SSO (SAML) configuration was removed.

  - `sso_settings_updated`
    SSO (SAML) settings were updated.

  - `two_step_authentication_mandate_disabled`
    A two-step authentication requirement was disabled.

  - `two_step_authentication_mandate_enabled`
    A two-step authentication requirement was enabled.

  - `user_auth_challenge_failed`
    An identity verification challenge failed.

  - `user_email_changed`
    A user changed their email address.

  - `user_email_verified`
    A user verified their email address.

  - `user_express_phone_number_changed`
    A user changed the phone number on their Express account.

  - `user_google_account_connected`
    A user connected a Google account for sign-in.

  - `user_google_account_disconnected`
    A user disconnected their Google account.

  - `user_invite_accepted`
    A user invite was accepted.

  - `user_invite_created`
    A user invite was created.

  - `user_invite_deleted`
    A user invite was deleted.

  - `user_passkey_added`
    The user registered a passkey.

  - `user_passkey_removed`
    The user removed a passkey.

  - `user_passkey_updated`
    The user renamed a passkey.

  - `user_passkey_upgraded`
    The user upgraded a device to a passkey.

  - `user_password_changed`
    The user changed their account password.

  - `user_password_initialized`
    The user set a password on their account.

  - `user_password_reset_failed`
    A password reset attempt failed due to an invalid one-time code.

  - `user_password_reset_requested`
    A password reset was requested for the user.

  - `user_password_reset_succeeded`
    The user successfully reset their password.

  - `user_roles_deleted`
    A user’s roles were deleted.

  - `user_roles_updated`
    A user’s roles were updated.

  - `user_two_step_authentication_backup_code_used`
    The user used an emergency backup code to disable two-step authentication.

  - `user_two_step_authentication_method_added`
    The user added a two-step authentication method.

  - `user_two_step_authentication_method_removed`
    A two-step authentication method was removed from the account.

  - `user_two_step_authentication_method_reset`
    A two-step authentication method was reset.

  - `user_two_step_authentication_method_updated`
    The user updated an existing two-step authentication method.

  - `user_two_step_authentication_reset_requested`
    An account admin requested a two-step authentication reset for another user.

- `limit` (integer, optional)
  Maximum number of results to return per page.

- `page` (string, optional)
  Pagination token from a previous request. Used to retrieve the next page of results.

## Returns

## Response attributes

- [`data`](https://docs.stripe.com/api/v2/iam/activity-logs/list.md?query=data&api-version=2026-09-30.preview) (array of objects)
  List of activity logs.

- `next_page_url` (string, nullable)
  URL to fetch the next page of the list. If there are no more pages, the value is null.

- `previous_page_url` (string, nullable)
  URL to fetch the previous page of the list. If there are no previous pages, the value is null.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | invalid_filters | Error returned when filter parameters in the request are invalid. |
